Bug 79546 - OSX - no video playback in slideshow fullscreen display mode on OSX
Summary: OSX - no video playback in slideshow fullscreen display mode on OSX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Mac OS X (All)
: highest critical
Assignee: Tor Lillqvist
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: notBibisectable, regression
Depends on:
Blocks:
 
Reported: 2014-06-02 12:01 UTC by Alex Thurgood
Modified: 2018-02-28 13:00 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
tes avi file plays in mplayerx (1.43 MB, application/octet-stream)
2014-06-02 12:02 UTC, Alex Thurgood
Details
webm file (2.06 MB, video/webm)
2014-06-02 12:04 UTC, Alex Thurgood
Details
MP4 file (713.18 KB, video/mp4)
2014-06-02 12:05 UTC, Alex Thurgood
Details
wmv file (2.16 MB, video/x-ms-wmv)
2014-06-02 12:06 UTC, Alex Thurgood
Details
test ogv file (843.11 KB, video/ogg)
2014-06-02 12:18 UTC, Alex Thurgood
Details
full backtrace (22.06 KB, text/plain)
2014-06-04 10:08 UTC, Alex Thurgood
Details
Small 3GP test file (210.74 KB, video/3gpp)
2014-12-08 14:17 UTC, Alex Thurgood
Details
MPG file (1.46 MB, video/mpeg)
2015-08-25 14:06 UTC, Vossman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2014-06-02 12:01:14 UTC
This is an OSX specific bug in response to the closure of bug 56847.


How to reproduce :

1) Start Impress
2) Insert a video file
3) Start slideshow display

Result : no video playback, blank screen
Expected : video should play and be visible with sound

N.B. The video files tested play fine on OSX with either Quicktime, VLC, or MPlayerX, so please don't tell me I need codec xyz...
Comment 1 Alex Thurgood 2014-06-02 12:02:46 UTC
Created attachment 100303 [details]
tes avi file plays in mplayerx
Comment 2 Alex Thurgood 2014-06-02 12:04:04 UTC
Created attachment 100304 [details]
webm file
Comment 3 Alex Thurgood 2014-06-02 12:05:22 UTC
Created attachment 100305 [details]
MP4 file
Comment 4 Alex Thurgood 2014-06-02 12:06:46 UTC
Created attachment 100306 [details]
wmv file
Comment 5 Alex Thurgood 2014-06-02 12:13:02 UTC
see also :

https://bugs.freedesktop.org/show_bug.cgi?id=56847#c59
Comment 6 Alex Thurgood 2014-06-02 12:14:36 UTC
Can't add test ogv file, too big at 14Mb, even when compressed
Comment 7 Alex Thurgood 2014-06-02 12:18:50 UTC
Created attachment 100310 [details]
test ogv file
Comment 8 Alex Thurgood 2014-06-02 12:20:27 UTC
Tests on OSX 10.9.3
Master Version: 4.4.0.0.alpha0+
Build ID: f961cf50a7bcdcb173aa835db7bd891841947c31

Impress
Insert AVI : OK
Preview : Yes
Preview Playback : Nothing
Fullscreen slideshow : nothing
OS supports full playback via : MplayerX


Insert MP4 : OK
Preview : Yes
Preview Playback : sound only
Fullscreen slideshow : partial sound / dropout, no video
OS supports full playback via : MplayerX / VLC / Quicktime

Insert Webm : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC

Insert WMV : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC

Insert ogv : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC
Comment 9 Alex Thurgood 2014-06-02 12:30:09 UTC
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

MP4 plays fullscreen with sound
no still
no preview

AVI doesn't play in fullscreen
no still
no preview

Other test files not supported for insert (greyed out)
Comment 10 Alex Thurgood 2014-06-02 12:39:02 UTC
Tested 3.3.1, 3.3.2, 3.3.3, 3.3.4 : identical results as to 3.3.0
Comment 11 Alex Thurgood 2014-06-02 12:44:31 UTC
LibreOffice 3.4.2 
OOO340m1 (Build:203)

Insert AVI : OK
Preview : Yes
Preview Playback : Nothing
Fullscreen slideshow : nothing
OS supports full playback via : MplayerX

Insert MP4 : OK
Preview : No
Preview Playback : sound only
Fullscreen slideshow : yes
OS supports full playback via : MplayerX / VLC / Quicktime
Comment 12 Alex Thurgood 2014-06-02 12:49:21 UTC
LibreOffice 3.4.3 
OOO340m1 (Build:302)

identical results to 3.4.2
Comment 13 Alex Thurgood 2014-06-02 12:52:18 UTC
LibreOffice 3.4.5 
OOO340m1 (Build:502)

identical results to 3.4.2
Comment 14 Alex Thurgood 2014-06-02 12:58:01 UTC
LibreOffice 3.5.2.2 
Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous versions
Comment 15 Alex Thurgood 2014-06-02 13:30:26 UTC
LibreOffice 3.5.3.2 
Build ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous versions
Comment 16 Alex Thurgood 2014-06-02 13:34:40 UTC
LibreOffice 3.5.4.2 
Build ID: 165a79a-7059095-e13bb37-fef39a4-9503d1

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous versions
Comment 17 Alex Thurgood 2014-06-02 13:41:11 UTC
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous version
Comment 18 Alex Thurgood 2014-06-02 13:48:38 UTC
Version 3.6.3.2 (Build ID: 58f22d5)

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous version
Comment 19 Alex Thurgood 2014-06-02 13:55:14 UTC
Version 3.6.7.2 (Build ID: e183d5b)

webm, ogv, wmv files now selectable in Finder, but not insertable (file format not supported)

avi, mp4 results identical behaviour to previous version
Comment 20 Alex Thurgood 2014-06-02 14:08:13 UTC
Version 4.0.0.0.alpha1+ (Build ID: 8d87128c6bcbac26520a8fef7ae5a6256a82410)

Impress
Insert AVI : OK
Preview : No
Preview Playback : Nothing
Fullscreen slideshow : nothing, totally blank screen
OS supports full playback via : MplayerX 

MP4 plays fullscreen with sound
no still
no preview

Other formats not insertable via Finder, greyed out
Comment 21 Alex Thurgood 2014-06-02 14:23:05 UTC
Version 4.0.5.2 (Build ID: 5464147a081647a250913f19c0715bca595af2f)

Insert AVI : OK
Preview : No
Preview Playback : Nothing
Fullscreen slideshow : nothing, totally blank screen
OS supports full playback via : MplayerX 

MP4 plays fullscreen with sound
no still
no preview, only sound

webm selectable from Finder, but unsupported file format
Other formats not insertable via Finder, greyed out
Comment 22 Alex Thurgood 2014-06-02 14:37:57 UTC
Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

All formats selectable in Finder, only AVI and MP4 insertable

MP4 plays fullscreen with sound
no still
no video preview, sound audible

AVI doesn't play in fullscreen
no still
no preview
Comment 23 Alex Thurgood 2014-06-02 14:41:53 UTC
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Formats selectable in Finder, but all fail to be inserted (file format not supported)
Comment 24 Alex Thurgood 2014-06-02 15:01:32 UTC
Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

--enable-vlc build switch

webm selectable, insertable
still : yes
preview play : sound only
fullscreen play : sound only, white screen

avi selectable, insertable
still : yes
preview play : no
fullscreen play : no, white screen

mp4 selectable, insertable
still : yes
preview play : sound only
fullscreen play : sound only, white screen

ogv selectable, insertable
still : yes
preview play : sound only
fullscreen play : sound only, white screen
Comment 25 Alex Thurgood 2014-06-02 15:10:35 UTC
Another additional problem when leaving preview or slidescreen display mode is that the mouse cursor disappears completely until you click outside the LO application window. This is particularly annoying :)
Comment 26 Alex Thurgood 2014-06-02 15:12:04 UTC
(In reply to comment #22)
> Version: 4.1.4.2
> Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
> 
> All formats selectable in Finder, only AVI and MP4 insertable
> 
> MP4 plays fullscreen with sound
> no still
> no video preview, sound audible

Fullscreen playback ok

> 
> AVI doesn't play in fullscreen
> no still
> no preview

Fullscreen playback ok
Comment 27 Alex Thurgood 2014-06-02 15:13:31 UTC
regression over 4.1.4.2 for mp4 playback
Comment 28 Alex Thurgood 2014-06-03 07:51:11 UTC
Note that the AOO plugin provided for a similar AOO bug looks for AOO 4.1 and so does not install on LO.
Comment 29 Alex Thurgood 2014-06-03 14:42:14 UTC
Further tests :


1) Insert test avi
2) Preview play
3) Fullscreen slideshow play 

ns1:~ alex$ lldb /Volumes/HD1/Shared/Repos/LO/core/instdir/LibreOfficeDev.app 
Current executable set to '/Volumes/HD1/Shared/Repos/LO/core/instdir/LibreOfficeDev.app' (x86_64).
(lldb) run
Process 27496 launched: '/Volumes/HD1/Shared/Repos/LO/core/instdir/LibreOfficeDev.app/Contents/MacOS/soffice' (x86_64)
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[0x105911ab0] freetype spu text error: Breaking unbreakable line
[0x105911ab0] freetype spu text error: Breaking unbreakable line
[0x104ab74b0] freetype spu text error: Breaking unbreakable line
[0x104ab74b0] freetype spu text error:

4) Add new slide
5) Insert webm file
6) Preview play
7) Fullscreen slideshow play

Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[0x105e30eb0] freetype spu text error: Breaking unbreakable line

8) Add new slide
9) Insert webm file
10) Preview play
11) Fullscreen slideshow play

Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[wmv3 @ 0x104e67a00] Extra data: 8 bits left, value: 0
[wmv3 @ 0x10593a200] Extra data: 8 bits left, value: 0
[wmv3 @ 0x105ac2400] Extra data: 8 bits left, value: 0
[0x104a246b0] freetype spu text error: Breaking unbreakable line
[wmv3 @ 0x104a18000] Extra data: 8 bits left, value: 0
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[wmv3 @ 0x104a18000] Extra data: 8 bits left, value: 0
[wmv3 @ 0x104af0800] Extra data: 8 bits left, value: 0
[0x105a89eb0] freetype spu text error: Breaking unbreakable line
[wmv3 @ 0x104df2000] Extra data: 8 bits left, value: 0
[wmv3 @ 0x105d69a00] Extra data: 8 bits left, value: 0
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[0x10480ecb0] freetype spu text error: Breaking unbreakable line
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[wmv3 @ 0x105a92a00] Extra data: 8 bits left, value: 0
[wmv3 @ 0x105a92a00] Extra data: 8 bits left, value: 0
[wmv3 @ 0x105bcd400] Extra data: 8 bits left, value: 0
[0x104cf8ab0] freetype spu text error: Breaking unbreakable line
[wmv3 @ 0x105d6de00] Extra data: 8 bits left, value: 0
[wmv3 @ 0x104aa7a00] Extra data: 8 bits left, value: 0
Comment 30 Alex Thurgood 2014-06-03 14:45:51 UTC
1) Insert test ogv
2) Preview play
3) Fullscreen slideshow play



Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[theora @ 0x104d84400] 7 bits left in packet 82
[ogg @ 0x104ddb000] Broken file, keyframe not correctly marked.
[theora @ 0x104d84400] 7 bits left in packet 82
[ogg @ 0x104ddb000] Broken file, keyframe not correctly marked.
[theora @ 0x104ddb000] 7 bits left in packet 82
[ogg @ 0x104968e00] Broken file, keyframe not correctly marked.
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[theora @ 0x105931000] 7 bits left in packet 82
[ogg @ 0x1058bce00] Broken file, keyframe not correctly marked.
[theora @ 0x105803000] 7 bits left in packet 82
[ogg @ 0x1058fd200] Broken file, keyframe not correctly marked.
[theora @ 0x104bdf400] 7 bits left in packet 82
[ogg @ 0x104b98600] Broken file, keyframe not correctly marked.
[theora @ 0x104b98600] 7 bits left in packet 82
[ogg @ 0x104bdf400] Broken file, keyframe not correctly marked.
Comment 31 Alex Thurgood 2014-06-03 14:48:16 UTC
1) Insert test mp4
2) Preview play
3) Fullscreen slideshow play


Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[0x104e19cb0] freetype spu text error: Breaking unbreakable line
[0x104e19cb0] freetype spu text error: Breaking unbreakable line
Warning: option --ffmpeg-threads no longer exists.
Warning: option --ffmpeg-threads no longer exists.
[0x105c5c6b0] freetype spu text error: Breaking unbreakable line
[0x105c5c6b0] freetype spu text error: Breaking unbreakable line
[0x1058dfcb0] freetype spu text error: Breaking unbreakable line
[0x1058dfcb0] freetype spu text error: Breaking unbreakable line
Comment 32 Alex Thurgood 2014-06-04 10:08:05 UTC
Created attachment 100393 [details]
full backtrace

A full backtrace obtained through loading an Impress file containing a slide for each media type and then attempting full screen display of slideshow
Comment 33 Alex Thurgood 2014-06-09 14:14:22 UTC
Adding Michael, Tor for your info - if not interested / available / appropriate, please remove youselves.
Comment 34 Björn Michaelsen 2014-08-21 12:21:17 UTC Comment hidden (obsolete)
Comment 35 Alex Thurgood 2014-08-25 07:24:40 UTC
And regressions (comment 27) get ignored as no longer being MAB ?

I give up. Seriously, what is the point of all the testing if this is the kind of "automated" response that a QAer gets ? 

When was this decided ?

I don't see it in the minutes of the latest dev IRC, merely that a discussion took place.
Comment 36 retired 2014-08-25 07:35:53 UTC
Alex, don't take this personally. I don't think it was done in bad intention.

Raising back to "highest" since

* broken core functions (or is using videos in presentations not a core functionality?)
* happens frequently, 100% of times to be exact

so from  the flowchart this qualifies as Highest, Blocker.

Maybe because it's "only" OSX makes it less bad? Also video usage in presentation is still a major pain on all platforms (linux seems to work a little if you're lucky, while OSX and windows seem to be completely broken. So it would be great of the dev team, to address this core functionality bug.
Comment 37 Alex Thurgood 2014-08-25 08:09:33 UTC
(In reply to comment #36)
> Alex, don't take this personally. I don't think it was done in bad intention.
> 

Steve, not taking it personally at all, just a tad narked that yet again, a whole swathe of reports get the automatic whitewash treatment - surely, if the keyword regression is in the report, then the query used to decide whether or not to send out the automatic response is not working properly ?
Comment 38 Alex Thurgood 2014-08-25 08:27:18 UTC
Compare that with the fact that a new feature, introduced in 4.3 development (the OSX toolbar gradient bug 80474) and which happens to not work as intended gets prioritized to MAB because it is a regression. Either it is a regression because the new development, aimed at and for OSX, screwed up LO on OSX only, as in the present video mess up, or else one takes the view that as it is a newly implemented feature that doesn't work properly, and it shouldn't have made it into the mainstream product (I thought that was what we had the "experimental" setting for). In the latter case, it shouldn't then become a MAB. Anyway, I digress.


Does changing the importance back to highest put back the link to MAB, it doesn't appear to have done that. Bjoern's reset appears to have removed this from the MAB list, since the link is no longer referenced.
Comment 39 Michael Meeks 2014-08-25 10:08:10 UTC
Hi Alex; Wow this is a hugely long bug to read =) I didn't have time to get to the end of it.

Any mention of VLC / Mplayer is a red-herring. We tried to integrate with VLC for GSOC, and wrote some code for that, and its a nightmare in its current state.

So - I'd say step #1 - check that we're not turning that on in product builds for any platform; it's likely to break stuff.

If there is any program/*avmediavlc* library inside the install, can you delete it and see if that fixes things ?

Beyond that - I imagine that this is something bisectable if it used to work and now is broken.

Looking here on Linux for no reason I understand libavmediavlc.so exists on my system. I guess a simple fix here is to simply turn that off with extreme prejudice.
Comment 40 tommy27 2014-12-05 19:50:03 UTC
please Mac users, retest with 4.3.x or 4.4.x recent builds
if bug is still present please move this from mab4.2 list to mab4.3 list since 4.2.x reached the end of life
Comment 41 Alex Thurgood 2014-12-08 14:17:07 UTC
Still present in 4341 and master 4500 alpha

Video playback with the test files attached to the bug report :

MP4 : audio and video playback in Impress preview and fullscreen mode
3GP : audio and video playback In Impress preview and fullscreen mode


FLV, WEBM, OGV, AVI - unsupported and can not even be inserted into Impress slide
Comment 42 Alex Thurgood 2014-12-08 14:17:41 UTC
Created attachment 110566 [details]
Small 3GP test file
Comment 43 Andras Timar 2015-05-05 10:17:04 UTC
I tested this with TDF build 4.4.2.2 on OS X 10.9. Maybe it is not perfect, but I did not experience dramatic problems. Video playback worked in slideshow mode for most of the formats. See https://youtu.be/YN9uXIaxUUY
Comment 44 Alex Thurgood 2015-05-05 12:40:06 UTC
(In reply to Andras Timar from comment #43)
> I tested this with TDF build 4.4.2.2 on OS X 10.9. Maybe it is not perfect,
> but I did not experience dramatic problems. Video playback worked in
> slideshow mode for most of the formats. See https://youtu.be/YN9uXIaxUUY

In master dev alpha 500, attempting to start slideshow in fullscreen with a MOV video inserted into a slide leads to a reproducible crash.
Comment 45 Vossman 2015-08-25 14:06:29 UTC
Created attachment 118170 [details]
MPG file

Instead of documenting what does not work. I thought I would say a case that does.

I have found that an MPEG file work with both video and audio in presentations, but only if I use the 'link' option rather than embed.
Comment 46 Vossman 2015-08-25 14:07:18 UTC
Forgot to say that I am using 5.0.1rc2 on Mac OS X 10.10.5
Comment 47 steve -_- 2015-09-02 17:18:37 UTC
@Vossman The best thing to do at the moment is update the following wiki:

https://wiki.documentfoundation.org/Media_Support/Summary
and
https://wiki.documentfoundation.org/Media_Support

Once the wiki has more data, it will be much easier for devs to prioritize and tackle proper video support in LO.
Comment 48 Robinson Tryon (qubit) 2015-10-07 22:22:06 UTC
Dropping Severity -> critical (we've deprecated the 'blocker' value)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity#Severity_Levels
Comment 49 Robinson Tryon (qubit) 2015-12-10 01:26:44 UTC Comment hidden (obsolete)
Comment 50 Alex Thurgood 2016-05-30 09:12:16 UTC
For comparison, Keynote 6.6.2 supports insertion of and allows fullscreen playback of :

WebM : YES
MOV : YES
MP4 : YES
MKV : YES
Comment 51 Telesto 2016-11-07 15:49:37 UTC
With MacOS Sierra 10.12.1 and a recent daily build of LO 5.3.0.0.alpha1+ I can import and play *.mov, *.mpg and *.mp4 files if I drag and drop them from Finder to Impress. 
Menu -> Insert -> Audio or Video isn't working though.

Version: 5.3.0.0.alpha1+
Build ID: 6984fd5a756f1e01e94da14f01df5a0e20791630
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; Layout Engine: new; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-05_02:01:59
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 52 QA Administrators 2017-11-08 07:35:24 UTC Comment hidden (obsolete)
Comment 53 Alex Thurgood 2017-11-08 09:23:37 UTC
Well, the recent tests in bug 113622 indicate that 

Version: 6.0.0.0.alpha1+
Build ID: 57c5f980835f834f6ea96c6f5ca841b5372aa61d
CPU threads: 4; OS: Mac OS X 10.13; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group

and


Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Mac OS X 10.13; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group




no longer play MP4 videos in Impress.
Comment 54 steve -_- 2017-11-08 12:10:34 UTC
@Alex can you add your findings to https://wiki.documentfoundation.org/Media_Support/Summary?
Comment 55 Xisco Faulí 2017-11-22 19:29:55 UTC Comment hidden (obsolete)
Comment 56 Tor Lillqvist 2018-02-26 19:31:55 UTC
I am not completely sure what specific issue this bug actually is about at this stage, but anyway, for me in a recent build of LibreOffice, on macOS 10.13, I could not insert videos into presentations at all using Insert > Audio or Video, but dragging and dropping worked. (That is, I saw the same as Telesto says in comment #51.) I have a fix for that in gerrit: https://gerrit.libreoffice.org/#/c/50390/
Comment 57 Tor Lillqvist 2018-02-26 19:55:10 UTC
Alex, re: comment #50, in a curent Keynote (7.3.1), I can't insert a .webm file. At least not the one attached to this bug.
Comment 58 Tor Lillqvist 2018-02-26 19:58:29 UTC
Isn't the mention of "fullscreen" in the bug title a bit redundant? That is when videos inserted into slideshows play, when viewing the slide show, and that is always full-screen, isn't it?
Comment 59 Alex Thurgood 2018-02-27 08:03:22 UTC
(In reply to Tor Lillqvist from comment #58)
> Isn't the mention of "fullscreen" in the bug title a bit redundant? That is
> when videos inserted into slideshows play, when viewing the slide show, and
> that is always full-screen, isn't it?

There was a time when the behaviour between what you could or couldn't see in the preview was different to what you could/couldn't see in slideshow mode, so testing and reporting was made to relate to that. It might well be today that there is absolutely no difference now, i.e. that the behaviour is consistent, but I haven't run the whole series of tests again for a while.
Comment 60 Commit Notification 2018-02-27 13:45:23 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1aa5a3874bf716acfbded2a09319dce5d4ce8c0d

tdf#79546: Make sure temp copy of inserted media file keeps the same extension

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Tor Lillqvist 2018-02-28 10:21:58 UTC
Will resolve this now, please open new and more specific bug reports for individual issues (enhancement requests or bugs) that still are present.
Comment 62 Commit Notification 2018-02-28 13:00:46 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf6ff1ac366ceff7bf46ff3cf40e39e236c2c1cb&h=libreoffice-6-0

tdf#79546: Make sure temp copy of inserted media file keeps the same extension

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.